Subject: FW: I: VC++5.0 stdarg.h works in cygwin32
From: [email-masked] (Michael Czapski)

21 Aug 1998 09:52:52 -0700
Message-ID: <[email-masked]>
Reply-To: "[email-masked]" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "[email-masked]'" <[email-masked]>

Further to the previous one, the Linux stdarg.h will work just as well.  I now 
use it in preference to the VC++'s one. :-)
--------
Cheers ...
Michael Czapski

-----Original Message-----
From:	Michael Czapski [SMTP:[email-masked]]
Sent:	Wednesday, August 19, 1998 7:07 AM
To:	[email-masked]'
Subject:	I: VC++5.0 stdarg.h works in cygwin32

Hello,

For a multi-platform project I had a need to use variable length argument lists 
in C.  In VC++ (just the C part :-)) the stdarg.h was included and the code 
works using va_start, va_end, etc..  The same code, compiled with gcc in the 
cygwin32 environment breaks as there is no stdarg.h provided either in the 
B19.x or in EGCS and varargs.h, which is provided in both, is non-ANSI.  For 
these who are interested the VC++5.0 stdarg.h, copied with no changes, will 
work just fine in the cygwin32 environment and will provide ANSI variable 
argument list support.

------------------
Cheers ...
Michael Czapski

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".